<div class="menu-container">
    <div class="container mb-10">
        <div class="row">
            <div class="col-12 ta-center header">
                <span class="ft-opensans-bold ft-25">MENU</span>
            </div>
        </div>
    </div>

    <div class="container-fluid">
        <div class="rows-container">
            <div class="row mb-10" *ngFor="let screen of structureService.getMenuScreensByTopic(structureService.topic.title)">
                <div class="col-12 ft-tahoma ft-15">
                    <div class="menu-item" [class.disabled]="!structureService.canAccess(structureService.getScreenIndex(screen) + 1)"
                         (click)="tryAccessScreen(structureService.getScreenIndex(screen) + 1)">
                        <div class="title" [innerHTML]="screen.title"></div>
                        <div class="index">Tela {{structureService.getScreenIndex(screen) + 1 | number: '2.'}}</div>
                        <div class="marker" [class.has-access]="structureService.canAccess(structureService.getScreenIndex(screen) + 1)"
                             [class.completed]="structureService.isMenuContentCompleted(screen)"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <ul class="legend ft-14">
        <li>Tela liberada <span class="marker has-access"></span></li>
        <li>Tela pendente <span class="marker"></span></li>
        <li>Tela concluída <span class="marker has-access completed"></span></li>
    </ul>
        
    <img class="close" src="./assets/images/ico-close.png" alt="Fechar" (click)="dispatchClose()">
</div>